/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include "dialogconfig.h"
#include <qsettings.h>
#include <qfiledialog.h>


void dialogConfig::programInit()
{
    // Read in the configuration and populate the widget
    readConfig();
}


void dialogConfig::readConfig()
{
    QSettings settings("PCBSD");
    
    NIC = settings.value( "/PC-BSD/TheWarden/NIC", "UNSET" ).toString();
    TMPDIR = settings.value( "/PC-BSD/TheWarden/TMPDIR", "UNSET" ).toString();
    JailDir = settings.value( "/PC-BSD/TheWarden/JailDir", "UNSET" ).toString();
    
    lineNIC->setText(NIC);
    lineJailDir->setText(JailDir);
    lineTMPDIR->setText(TMPDIR);
    
}


void dialogConfig::slotChangeJailDir()
{
    QString tmp;
    
       tmp = QFileDialog::getExistingDirectory ( this, tr("Select Jail Directory"), JailDir, QFileDialog::ShowDirsOnly );
       if ( ! tmp.isEmpty() )
       {
	   lineJailDir->setText(tmp);
	   JailDir = tmp;
       }
}


void dialogConfig::slotChangeTMPDIR()
{
    QString tmp;
    
       tmp = QFileDialog::getExistingDirectory ( this, tr("Select Temp Directory"), TMPDIR, QFileDialog::ShowDirsOnly );
       if ( ! tmp.isEmpty() )
       {
	   lineTMPDIR->setText(tmp);
	   TMPDIR = tmp;
       }
}


void dialogConfig::slotSave()
{
    QSettings settings("PCBSD");
    
    settings.setValue( "/PC-BSD/TheWarden/NIC", lineNIC->text());
    settings.setValue( "/PC-BSD/TheWarden/TMPDIR", lineTMPDIR->text() );
    settings.setValue( "/PC-BSD/TheWarden/JailDir", lineJailDir->text() );
    
    emit saved();
    close();
}


void dialogConfig::slotCancel()
{
    close();
}
