/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include "dialogcreatejail.h"


void dialogCreateJail::programInit()
{
    // Connect our checks
    connect(lineHost, SIGNAL(textChanged ( const QString & )), this, SLOT(checkLineText( const QString & ) ) );
    connect(lineIP, SIGNAL(textChanged ( const QString & )), this, SLOT(checkLineText( const QString & ) ) );
}


void dialogCreateJail::slotButtonCancel()
{
    close();
}


void dialogCreateJail::slotButtonCreate()
{
    QString IP, host;
    bool src=false, ports=false, autostart=false;
    IP = lineIP->text();
    host = lineHost->text();
    
    if ( checkSystemSource->isChecked() )
    {
	src=true;
    }
    
    if ( checkPortsTree->isChecked() )
    {
	ports=true;
    }
    
    if ( checkAutostart->isChecked() )
    {
	autostart=true;
    }
    
    emit create(IP, host, src, ports, autostart);
    close();
    
}


void dialogCreateJail::checkLineText( const QString &text )
{
    // Check that we have a valid IP / Host and enable / disable the creation button
    QString IP, Host;
    
    IP = lineIP->text();
    Host = lineHost->text();
    
    // Check to make sure we don't have any missing IP fields
    if ( IP.indexOf("..") != -1 || IP.lastIndexOf(".") == (IP.length() - 1) )
    {
	pushCreate->setEnabled(FALSE);
	return;
    }
    
    // Checkt o make sure the host isn't empty
    if ( Host.isEmpty() )
    {
	pushCreate->setEnabled(FALSE);
	return;
    }
    
    pushCreate->setEnabled(TRUE);
    
}
